Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 598120 - netpanzer version is not 0.8.3, missing sounds
netpanzer version is not 0.8.3, missing sounds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: netpanzer (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 09:40 EDT by Aaron Perez Sanchez
Modified: 2010-06-08 15:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: netpanzer-0.8.3.svn612010-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified spec (5.84 KB, text/x-rpm-spec)
2010-05-31 09:40 EDT, Aaron Perez Sanchez
no flags Details
SConstruct fixes patch (2.75 KB, patch)
2010-05-31 09:42 EDT, Aaron Perez Sanchez
no flags Details | Diff

  None (edit)
Description Aaron Perez Sanchez 2010-05-31 09:40:58 EDT
Created attachment 418302 [details]
Modified spec

Description of problem:
1- The source code included in the package netpanzer-0.8.3 is not in fact 0.8.3, it was taken from "trunk". This make the game incompatible with the real 0.8.3. The trunk is reserved for development and uses a different communication protocol. The correct path is:

http://svn.berlios.de/svnroot/repos/netpanzer/tags/netpanzer/0.8.3

It also didn't have a version string attached to the window and some of the protocol messages (it is taken from a file in the correct path 'RELEASE_VERSION', which you could modify if you want to attach some extra tags related to fedora, keep 0.8.3 please).

2- The spec file has incorrect dependencies, some of them are not used.

3- The sounds are not included in the installation, they are missing in the %install

4- The SConstruct file needed a quick fix, I believe (doesn't have prove) it _might_ be possible that the source code is compiled with some system headers but linked with a internal library (instead of using the internal headers and internal library) with that SConstruct, it _might_ generate some unwanted crashes.

Version-Release number of selected component (if applicable):
0.8.3-1

How to fix:
I have modified the spec file and created a patch for SConstruct, you should export the correct source from svn, like:

# svn export http://svn.berlios.de/svnroot/repos/netpanzer/tags/netpanzer/0.8.3 netpanzer-0.8.3
Comment 1 Aaron Perez Sanchez 2010-05-31 09:42:15 EDT
Created attachment 418303 [details]
SConstruct fixes patch
Comment 2 Aaron Perez Sanchez 2010-05-31 09:44:36 EDT
I forgot to say I'm what you call upstream, feel free to contact in netpanzer.org forum (called 'krom' there) or by mail.
Comment 3 Gwyn Ciesla 2010-06-01 16:03:49 EDT
Ok, thanks for the information.  I checked out the correct version, applied the scons patch, and put sound back.  Updates are coming.
Comment 4 Fedora Update System 2010-06-01 16:07:59 EDT
netpanzer-0.8.3.svn612010-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/netpanzer-0.8.3.svn612010-2.fc13
Comment 5 Fedora Update System 2010-06-01 16:08:14 EDT
netpanzer-0.8.3.svn612010-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/netpanzer-0.8.3.svn612010-2.fc12
Comment 6 Fedora Update System 2010-06-02 14:00:29 EDT
netpanzer-0.8.3.svn612010-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netpanzer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/netpanzer-0.8.3.svn612010-2.fc12
Comment 7 Fedora Update System 2010-06-02 14:06:22 EDT
netpanzer-0.8.3.svn612010-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netpanzer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/netpanzer-0.8.3.svn612010-2.fc13
Comment 8 Fedora Update System 2010-06-08 15:29:05 EDT
netpanzer-0.8.3.svn612010-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-08 15:30:05 EDT
netpanzer-0.8.3.svn612010-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.